window.screenOrientation = "sensor_landscape",
    loadLib("libs/laya.core.min.js"),
    loadLib("libs/laya.ui.min.js"),
    loadLib("libs/laya.d3.min.js"),
    loadLib("libs/laya.physics3D.min.js"),
    loadLib("libs/androidUtil.js");

window.langManager = {
    langType: "ZH",
    langs: {
        EN: {
            got_it: "Got it!",
            not_enough_diamonds: "Not enough diamonds!",
            loading: "Loading..."
        },
        RU: {
            got_it: "Удачная покупка!",
            not_enough_diamonds: "Не хватает бриллиантов!",
            loading: "Загрузка..."
        },
        ZH: {
            got_it: "购买成功！",
            not_enough_diamonds: "钻石不足！",
            loading: "加载中..."
        }
    },
    imageMap: [],
    getLangStr(key, number) {
        let str = this.langs[this.langType][key];
        if (!str) return key;
        number && (str = str.replace("{x}", number));
        return str ? str : key;
    },
    replaceStr(text) {
        return text;
    },
    getLangImage(url) {
        let res = url;
        for (let index = 0; index < this.imageMap.length; index++) {
            let key = this.imageMap[index];
            let name = `/${key}.png`;
            if (url.indexOf(name) > 0) {
                let langEnd = this.langType == "RU" ? "_ru" : (this.langType == "EN" ? "_en" : "");
                let replaceName = `/${key}${langEnd}.png`
                res = url.replace(name, replaceName);
                break;
            }
        }
        return res;
    }
}
// if (window.YaGames) {
//     YaGames.init().then(ysdk => {
//         console.log('Yandex SDK initialized');
//         window.ysdk = ysdk;
//         var i18n = ysdk.environment.i18n;
//         if (i18n.lang == "ru") {
//             window.langManager.langType = "RU";
//         } else {
//             window.langManager.langType = "EN";
//         }
//         window.ysdk.getStorage()
//             .then(storage => {
//                 var useAgent = window.navigator.userAgent.toLowerCase();
//                 if (useAgent.indexOf("iphone") > 0) {
//                     window.ystorage = storage;
//                 }
//             })
//         loadLib("js/bundle.js");
//     }).catch(err => {})
// } else {
    loadLib("js/bundle.js");
// }