const loadTaskA = qg.loadSubpackage({
    name: 'subpackage',
           success: function (data) {
                    console.info('加载分包 subpackage 成功')
           },
           fail: function (err) {
                  console.info('加载分包 subpackage 失败', err)
           },
           complete: function(){
           // 不管分包加载成功还是失败都会执行此回调
           console.log("---+++load分包");
          }
    })
loadTaskA.onProgressUpdate(res => {
    console.log('subpackage 下载进度', res.progress)
    console.log('subpackage 已经下载的数据长度', res.totalBytesWritten)
    console.log('subpackage 预期需要下载的数据总长度', res.totalBytesExpectedToWrite)
});